[tool.poetry]
name = "metro_2023_last_light_redux"
version = "2.0.0"
description = ""
authors = ["v01d <v01d@v01d.ru>", "doomayka <zd@doomayka.ru>"]
license = "MIT"
readme = "README.md"
package-mode = false

[tool.poetry.group.dev.dependencies]
ruff = "^0.6.2"

[tool.ruff]
src = ["src"]
line-length = 120

[tool.ruff.lint]
select = [
    "E",  # pycodestyle
    "F",  # Pyflakes
    "UP",  # pyupgrade
    "B",  # flake8-bugbear
    "SIM",  # flake8-simplify
    "I",  # isort
    "N",  # pep8-naming
    "FIX",
    "FBT",
    "ARG",
    "PTH",
    "ERA",
]

[tool.ruff.lint.isort]
lines-after-imports = 2

[tool.ruff.format]
line-ending = "lf"

[tool.poetry.dependencies]
python = "^3.12"
trainerbase = "^3.16.3"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
